## com.imcode.imcms.api
Class DocumentVersion

    java.lang.Object
      com.imcode.imcms.api.DocumentVersion

All Implemented Interfaces:
  java.lang.Cloneable

    public class DocumentVersion

extends java.lang.Object
implements java.lang.Cloneable

Document version.

Constructor Summary
`DocumentVersion()`
`DocumentVersion(java.lang.Integer documentId, java.lang.Integer version, DocumentVersionTag versionTag)`

Method Summary
`DocumentVersion` `clone()`
`java.util.Date` `getCreatedDt()`
`java.lang.Integer` `getDocumentId()`
`java.lang.Long` `getId()`
`java.lang.Integer` `getUserId()`
`java.lang.Integer` `getVersion()`
`DocumentVersionTag` `getVersionTag()`
`void` `setCreatedDt(java.util.Date createdDt)`
`void` `setDocumentId(java.lang.Integer documentId)`
`void` `setId(java.lang.Long id)`
`void` `setUserId(java.lang.Integer userId)`
`void` `setVersion(java.lang.Integer version)`
`void` `setVersionTag(DocumentVersionTag versionTag)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentVersion

    public DocumentVersion()

### DocumentVersion

    public DocumentVersion(java.lang.Integer documentId,
                           java.lang.Integer version,
                           DocumentVersionTag versionTag)

Method Detail

### clone

    public DocumentVersion clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getDocumentId

    public java.lang.Integer getDocumentId()

### setDocumentId

    public void setDocumentId(java.lang.Integer documentId)

### getVersion

    public java.lang.Integer getVersion()

### setVersion

    public void setVersion(java.lang.Integer version)

### getVersionTag

    public DocumentVersionTag getVersionTag()

### setVersionTag

    public void setVersionTag(DocumentVersionTag versionTag)

### getUserId

    public java.lang.Integer getUserId()

### setUserId

    public void setUserId(java.lang.Integer userId)

### getCreatedDt

    public java.util.Date getCreatedDt()

### setCreatedDt

    public void setCreatedDt(java.util.Date createdDt)